Search documentation of tiger_stripe

# Stripe.Services.Radar.ValueListItemService (tiger_stripe v0.1.1)

Copy Markdown View Source

RadarListListItem

Value list items allow you to add specific values to a given Radar value list, which can then be used in rules.

Related guide: Managing list items

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a value list item

delete(client, item, params \\ %{}, opts \\ [])

Delete a value list item

list(client, params \\ %{}, opts \\ [])

List all value list items

retrieve(client, item, params \\ %{}, opts \\ [])

Retrieve a value list item

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a value list item

Creates a new `ValueListItem` object, which is added to the specified parent value list.

# delete(client, item, params \\ %{}, opts \\ [])

    @spec delete(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Delete a value list item

Deletes a `ValueListItem` object, removing it from its parent value list.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all value list items

Returns a list of `ValueListItem` objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

# retrieve(client, item, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a value list item

Retrieves a `ValueListItem` object.